﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
    font-size: 14px;
}

/* Provide sufficient contrast against white background */

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */

.footer {
    margin-right: 52px;
    margin-bottom: 16px;
    position: sticky;
    top: calc(100% - 36px);
    float: right;
}

    .footer span a {
        color: var(--primary) !important;
        font-weight: 700 !important;
    }

span.fail {
    color: red;
    font-weight: bold;
}

span.success {
    color: green;
    font-weight: bold;
}

.hide {
    display: none !important;
}

.result {
    border: 1px dotted black;
    padding: 10px;
}

/** Custom range input */

.custom-range-wrapper {
    position: relative;
}

.range-progress {
    width: 0%;
    position: absolute;
    pointer-events: none;
    height: 4px;
    top: 9px;
    border-radius: 40px;
    border: 4px solid var(--primary);
    background-color: var(--primary);
    z-index: 10;
}

.range-outline {
    width: 100%;
    position: absolute;
    pointer-events: none;
    height: 4px;
    top: 9px;
    left: 0;
    border-radius: 40px;
    border: 4px solid rgba(226, 226, 226, 0.2);
    background-color: rgba(226, 226, 226, 0.2);
    z-index: 5;
}


input[type=range] {
    width: 100%;
    margin: 2.8px 0;
    background-color: transparent;
    -webkit-appearance: none;
    position: relative;
    z-index: 50;
}

    input[type=range]:focus {
        outline: none;
        background-color: transparent;
    }

    input[type=range]::-webkit-slider-runnable-track {
        background: transparent;
        border: 0;
        border-radius: 24.6px;
        width: 100%;
        height: 8.4px;
        cursor: pointer;
    }

    input[type=range]::-webkit-slider-thumb {
        margin-top: -2.8px;
        width: 14px;
        height: 14px;
        background: #ffffff;
        border: 2px solid var(--primary);
        border-radius: 15px;
        cursor: pointer;
        -webkit-appearance: none;
        z-index: 2000;
    }

    input[type=range]:focus::-webkit-slider-runnable-track {
        background: transparent;
    }

    input[type=range]::-moz-range-track {
        background: transparent;
        border: 0;
        border-radius: 24.6px;
        width: 100%;
        height: 8.4px;
        cursor: pointer;
        z-index: -1;
    }

    input[type=range]::-moz-range-thumb {
        width: 14px;
        height: 14px;
        background: #ffffff;
        border: 2px solid var(--primary);
        border-radius: 15px;
        cursor: pointer;
        z-index: 100;
    }

    input[type=range]::-ms-track {
        background: transparent;
        border-color: transparent;
        border-width: 2.8px 0;
        color: transparent;
        width: 100%;
        height: 8.4px;
        cursor: pointer;
    }

    input[type=range]::-ms-fill-lower {
        background: transparent;
        border: 0;
        border-radius: 49.2px;
    }

    input[type=range]::-ms-fill-upper {
        background: transparent;
        border: 0;
        border-radius: 49.2px;
    }

    input[type=range]::-ms-thumb {
        width: 14px;
        height: 14px;
        background: #ffffff;
        border: 2px solid var(--primary);
        border-radius: 15px;
        cursor: pointer;
        margin-top: 0px;
        z-index: 2000;
    }

    input[type=range]:focus::-ms-fill-lower {
        background: transparent;
    }

    input[type=range]:focus::-ms-fill-upper {
        background: transparent;
    }

    input[type=range]:focus::-webkit-slider-runnable-track {
        background: transparent;
    }

/** Util classes */

.fixed-width {
    max-width: 360px;
}

.p-unset {
    position: unset !important;
}

.font-md {
    font-size: 14px !important;
}